package com.pqs9900.pojo.DataInfo;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/** @Author denghuajun
 * @Description //TODO 中间件运行状态表
 * @Date  2019/3/15 11:36
 **/
@Table(name = "PQS_MIDDRUNSTATE")
public class MiddRunState {
    @Id
    @Column(name = "MIDD_INDEX")
    private String middIndex;//中间件guid
    @Column(name = "TimeID")
    private Date timeId;//时间
    @Column(name = "STATE")
    private int state;//状态（0：异常，1正常）

    public String getMiddIndex() {
        return middIndex;
    }

    public void setMiddIndex(String middIndex) {
        this.middIndex = middIndex;
    }

    public Date getTimeId() {
        return timeId;
    }

    public void setTimeId(Date timeId) {
        this.timeId = timeId;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "MiddRunState{" +
                "middIndex='" + middIndex + '\'' +
                ", timeId=" + timeId +
                ", state=" + state +
                '}';
    }
}
